Bug 509452 - RHATpossl-0.6-1.p24.6 package turns into RHATpossl-0.6-1.p24.6-1 package after solaris2mpm run upon it
RHATpossl-0.6-1.p24.6 package turns into RHATpossl-0.6-1.p24.6-1 package afte...
Status: CLOSED WONTFIX
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Solaris (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Sayli Karmarkar
Red Hat Satellite QA List
:
Depends On:
Blocks: 462714
  Show dependency treegraph
 
Reported: 2009-07-02 16:55 EDT by Steve Salevan
Modified: 2014-05-09 05:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-09 05:47:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Salevan 2009-07-02 16:55:58 EDT
Description of problem:
The RHATpossl-0.6-1.p24.6 package is included in the rhn-solaris-bootstrap-5.3.0-10-sparc-sol10.tar.gz tarball that comes with the latest build of Satellite 530, and appears to install and function correctly if added via pkgadd.

pkginfo returns:

# pkginfo -l RHATpossl
   PKGINST:  RHATpossl
      NAME:  pyOpenSSL 0.6
  CATEGORY:  utility
      ARCH:  sparc
   VERSION:  0.6-1.p24.6
   BASEDIR:  /
    VENDOR:  Red Hat
      DESC:  Python wrapper module around the OpenSSL library
    PSTAMP:  RHAT_RHN
  INSTDATE:  Jul 02 2009 16:26
    STATUS:  completely installed
     FILES:       17 installed pathnames
                   7 shared pathnames
                   8 directories
                   3 executables
                 308 blocks used (approx)

However, if one attempts to MPM-ify and rhnpush this package to a Satellite via solaris2mpm and rhnpush, it is reported as being of version RHATpossl-0.6-1.p24.6-1, and the Satellite assumes that the package on the client (RHATpossl-0.6-1.p24.6) needs to be updated, as this version is 'newer' than that installed on the machine.  As a result, this package will always report as being available for update, despite no newer version being available.

Version-Release number of selected component (if applicable):
530, 6/25 build

How reproducible:
Always

Steps to Reproduce:
1. Download the latest Solaris bootstrap tarball for your respective Solaris distribution
2. Install the packages included in this tarball
3. Run solaris2mpm over the RHATpossl package
  
Actual results:
RHATpossl-0.6-1.p24.6 package installed, but when this package is MPM-ified and rhnpushed, it is reported as being of version RHATpossl-0.6-1.p24.6-1

Expected results:
When the RHATpossl-0.6-1.p24.6 package is MPM-ified and rhnpushed, it gets reported as version RHATpossl-0.6-1.p24.6

Additional info:

Note You need to log in before you can comment on or make changes to this bug.